Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchNotice

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchNotice

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchNotice

extends java.lang.Object
implements EPPCodecComponent

Class to hold the launch notice information including the notice identifier, the expiration (not after) date and time, and the date and time the claims notice was accepted.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the local name
`static java.lang.String` | `ELM_NAME` Constant for the tag name

Constructor Summary
`EPPLaunchNotice()` Default constructor for `EPPLaunchNotice`.
`EPPLaunchNotice(java.lang.String aNoticeId, java.util.Date aNotAfterDate, java.util.Date aAcceptedDate)` Constructor that takes all of he attributes of the `EPPLaunchNotice`.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchNotice`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchNotice` component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchNotice` compare.
`java.util.Date` | `getAcceptedDate()` Gets the date and time that the claims notice was displayed or accepted.
`java.util.Date` | `getNotAfterDate()` Gets the date and time of expiration of the claims notice.
`java.lang.String` | `getNoticeId()` Gets the unique notice identifier of the claims notice.
`void` | `setAcceptedDate(java.util.Date aAcceptedDate)` Sets the date and time that the claims notice was displayed or accepted.
`void` | `setNotAfterDate(java.util.Date aNotAfterDate)` Sets the date and time of expiration of the claims notice.
`void` | `setNoticeId(java.lang.String aNoticeId)` Sets the unique notice identifier of the claims notice.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the tag name

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchNotice

    public EPPLaunchNotice()

  Default constructor for `EPPLaunchNotice`.

### EPPLaunchNotice

    public EPPLaunchNotice(java.lang.String aNoticeId,
                           java.util.Date aNotAfterDate,
                           java.util.Date aAcceptedDate)

  Constructor that takes all of he attributes of the `EPPLaunchNotice`.

  Parameters:
    `aNoticeId` - Unique notice identifier of the claims notice
    `aNotAfterDate` - Date and time of the expiration of the claims notice
    `aAcceptedDate` - Date and time when the notice was displayed or accepted

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchNotice`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchNotice`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPLaunchNotice` component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root element of the `EPPLaunchNotice`
  Throws:
    `EPPDecodeException` - Error decoding the `EPPLaunchNotice`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchNotice` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchNotice` instance to compare with
  Returns:
    true if equal false otherwise

### getNoticeId

    public java.lang.String getNoticeId()

  Gets the unique notice identifier of the claims notice.

  Returns:
    Unique notice identifier if set; `null` otherwise.

### setNoticeId

    public void setNoticeId(java.lang.String aNoticeId)

  Sets the unique notice identifier of the claims notice.

  Parameters:
    `aNoticeId` - Unique notice identifier

### getNotAfterDate

    public java.util.Date getNotAfterDate()

  Gets the date and time of expiration of the claims notice.

  Returns:
    Date and time of the expiration of the claims notice if set; `null` otherwise.

### setNotAfterDate

    public void setNotAfterDate(java.util.Date aNotAfterDate)

  Sets the date and time of expiration of the claims notice.

  Parameters:
    `aNotAfterDate` - Date and time of expiration of the claims notice.

### getAcceptedDate

    public java.util.Date getAcceptedDate()

  Gets the date and time that the claims notice was displayed or accepted.

  Returns:
    Date and time that the claims notice was displayed or accepted if set; `null` otherwise.

### setAcceptedDate

    public void setAcceptedDate(java.util.Date aAcceptedDate)

  Sets the date and time that the claims notice was displayed or accepted.

  Parameters:
    `aAcceptedDate` - Date and time that the claims notice was displayed or accepted.

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.